Advertisement:

Author Topic: Blank page on categories - BlockCipher not found in Rijndael.php on line 66  (Read 173 times)

r3c4ll

  • Newbie
  • *
  • Posts: 3
Hello everybody, I'm having the following issue:

I'm migrating my Osclass installation to Docker, the setup on the current working production installation is:

SO: Debian 7 (wheezy)
Web server: Apache 2.2.22-13+deb7u8
DB server: MySQL 5.5.55-0+deb7u1
Osclass: 3.7.4

The Docker setup where I'm trying to restore the production backup is:

For the web container:
Docker image: php:7.2.5-apache-stretch

And the Dockerfile run the following commands before clone the git repository where is backed up the website (the Osclass installation):

# Installing Osclass dependences (gd and mysqli)
RUN apt-get update && apt-get install -y \
   libfreetype6-dev \
   libjpeg62-turbo-dev \
   libpng-dev && \
   docker-php-ext-configure gd \
   --with-freetype-dir=/usr/include/ \
   --with-jpeg-dir=/usr/include/ && \
   docker-php-ext-install -j$(nproc) gd && \
   docker-php-ext-install mysqli

For the db container:
Docker image: mariadb:10.3

The containers run without problems behind a reverse proxy (on my local machine where I'm testing before going live), there is an script in the Dockerfile of the webserver which replace the config.php values to setup the new (internal) URL.

In fact I can visualize the home of our custom template... and if I click any ad the item is showed without problems. The issue is wen I click on any category link which call the search page... it only shows a blank page (open and close html and body tags in the source code), and the only error I can found in the container log (enabling log_errors = On
 and error_log = /dev/stderr in a php.ini for the web container) is:

[Wed Jun 13 00:19:09.506823 2018] [php7:error] [pid 15] [client 172.18.0.2:51030] PHP Fatal error:  Class 'phpseclib\\Crypt\\Common\\BlockCipher' not found in /var/www/html/oc-includes/phpseclib/Crypt/Rijndael.php on line 66, referer: http://myosclass.reverse.com/

Any help?

r3c4ll

  • Newbie
  • *
  • Posts: 3
Apparently is the official Docker image which doesn't comes with php-phplibsec (this is the name of the package in Debian Stretch) installed.

But even when the package is available for Debian Stretch https://packages.debian.org/stretch/php-phpseclib it can't be installed:

In the web container (php:7.2.5-apache-stretch):
# aptitude install php-phpseclib
No candidate version found for php-phpseclib
Unable to apply some actions, aborting

Any advice?
« Last Edit: June 23, 2018, 04:01:39 am by r3c4ll »